import { IconMetadata } from "./metadata";
/** Searches icons
 * and sets the results to state
 * returns filtered and a debounced `searchCategoryIcons`
 */
declare function useSearchIcons(iconsMetadata: Array<IconMetadata>, keys: Array<string>): {
    filteredIconsMetadata: IconMetadata[];
    debouncedSearch: import("use-debounce").DebouncedState<(query: string) => void>;
};
export default useSearchIcons;
